/*Data Access Library. v. 1.1.
 *Data Access Map. 
 *AUTHOR:  Alexander Jaremenko <jarem@altavista.net>
 *RELEASE DATE: 
 */

package JProjects.eab.data;
import java.sql.SQLException;

/**This interface defines method that do mapping between ResultSet columns and
 *PersistentObject's fields. Data Access Builder generates implementation of this
 *interface for each concrete subclass of PersistentObject.
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@altavista.net">&lt jarem@altavista.net &gt</a></address>
*/
public abstract interface DAMap  {

    public abstract void putResultSetInto(DataAccessObject tgt, java.sql.ResultSet rs, boolean saveStream) throws DAException, SQLException;
}
